Subject: Re: [PATCH] Technical details about the index file format.

From: Junio C Hamano <[email-masked]>
Date: Mon, 11 Feb 2008 11:27:35 -0800

Robin Rosenberg <[email-masked]> writes:

> Signed-off-by: Robin Rosenberg <[email-masked]>
> ---
>  Documentation/technical/index-format.txt |   91 ++++++++++++++++++++++++++++++
>  1 files changed, 91 insertions(+), 0 deletions(-)
>  create mode 100644 Documentation/technical/index-format.txt
>
> I believe the main index details are accurate. Anything else to explain.

You missed the most important feature.  The entries are sorted
in a particular order.

Also I do not think we store CE_UPDATE.  The tip of 'master'
will soon clarify about this.

Also when a name is longer than 12-bit can express, we will have
a constant there and the name length could be longer (you need
to strlen() it).  The tip of 'master' will soon have this fix
(we used to just overrun).

Other than these, I think the description is fairly accurate.